%define pre	pre1

Name:		cmyktool
Version:	0.1.6
Release:	%mkrel -c %{pre} 7
Summary:	GUI utility to manage color profiles & convert from RGB to CMYK
License:	GPLv3
Group:		Graphics/Editors and Converters
URL:		http://www.blackfiveimaging.co.uk/index.php?article=02Software/05CMYKTool
Source0:	http://www.blackfiveimaging.co.uk/cmyktool/%{name}-%{version}%{?pre:-%pre}.tar.gz
Patch0:		cmyktool-0.1.6-pre1-fix-segfault.patch
# From SUSE:
Patch1:		cmyktool-0.1.6-pre1-nonvoid-return-hackstream-h.patch
Patch2:		cmyktool-0.1.6-pre1-fix_wrong_printf_format_for_size_t.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	libtiff-devel
BuildRequires:	netpbm-devel
Requires:	colord-extra-profiles

%description
CMYKTool is a graphical utility that converts images from ICC profile to
another, converts images from RGB to CMYK with a number of configuration options
for the conversion, provides an interface for inspecting image channels,
provides a 'soft proof' mode to preview how an image would look if it was
printed, saves images to JPEG or TIFF (8- or 16-bit) with embedded profiles if
desired. This tool is extremely useful for designers who prepare artwork for
professional printing.

%prep
%setup -qn %{name}-%{version}%{?pre:-%pre}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/cmyktool
%{_datadir}/applications/cmyktool.desktop
%{_datadir}/icons/hicolor/*/apps/cmyktool.png


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.1.6-0.pre1.7.mga6
+ Revision: 929876
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.6-0.pre1.6.mga5
+ Revision: 749834
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.6-0.pre1.5.mga5
+ Revision: 678455
- Mageia 5 Mass Rebuild

* Sat Mar 01 2014 wally <wally> 0.1.6-0.pre1.4.mga5
+ Revision: 598191
- add patch to fix segfault when using preset editor (mga#12857)
- add patches from SUSE to fix build time warnings

* Sat Oct 19 2013 umeabot <umeabot> 0.1.6-0.pre1.3.mga4
+ Revision: 530181
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 wally <wally> 0.1.6-0.pre1.2.mga4
+ Revision: 456560
- fix requires

* Fri May 24 2013 wally <wally> 0.1.6-0.pre1.1.mga4
+ Revision: 426840
- imported package cmyktool basen on .spec from Fedora

